# dask.dataframe.utils.make_meta

dask.dataframe.utils.make_meta(x, index=None, parent_meta=None)

  This method creates meta-data based on the type of `x`, and `parent_meta` if supplied.

  Parameters:
    x Object of any type.

      Object to construct meta-data from.

    index Index, optional

      Any index to use in the metadata. This is a pass-through parameter to dispatches registered.

    parent_meta Object, default None

      If `x` is of arbitrary types and thus Dask cannot determine which back-end to be used to generate the meta-data for this object type, in which case `parent_meta` will be used to determine which back-end to select and dispatch to. To use utilize this parameter `make_meta_obj` has be dispatched. If `parent_meta` is `None`, a pandas DataFrame is used for `parent_meta` that chooses pandas as the backend.

  Returns:
    A valid meta-data